<?php 
/**
 * Createing a contact us page pannel for customizer
 *
 */

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'luzuk_them_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'Luzuk' ),
        // 'panel' => 'luzuk_them_premium_home_panel'
		'priority' =>20
	)
);

$wp_customize->add_setting('luzuk_them_contactus_address_lbl', array('sanitize_callback' => 'luzuk_them_sanitize_text'));
$wp_customize->add_control(
	new luzuk_them_Customize_Heading($wp_customize, 'luzuk_them_contactus_address_lbl',
		array(
			'settings'      => 'luzuk_them_contactus_address_lbl',
			'section'       => 'luzuk_them_premium_contactus_section',
			'label'         => __( 'Contact Us Address Details', 'Luzuk' ),
		)
	)
);

$section = 'luzuk_them_premium_contactus_section';

//ADD TEXTAREA BOX FOR SUB TITLE
$wp_customize->add_setting(
	'luzuk_them_contactus_addrress',
	array(
		'sanitize_callback' => 'luzuk_them_sanitize_text',
		'default'           => __( 'Address', 'Luzuk Premium' ) 
	)
);
$wp_customize->add_control(
	'luzuk_them_contactus_addrress',
	array(
		'settings'      => 'luzuk_them_contactus_addrress',
		'section'       => 'luzuk_them_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Address Label', 'Luzuk Premium' )
	)
);
lzAddElement($wp_customize, 'luzuk_them_contactus_address', $section, 'textarea', $label="Address Line One", 'luzuk_them_sanitize_text', 'Add Contact Address here..');

lzAddElement($wp_customize, 'luzuk_them_contactus_addressdata1', $section, 'textarea', $label="Address Line Two", 'luzuk_them_sanitize_text', '');

lzAddElement($wp_customize, 'luzuk_them_contactus_addressdata2', $section, 'textarea', $label="Address Line Three", 'luzuk_them_sanitize_text', '');


// contact us email 
$wp_customize->add_setting(
	'luzuk_them_contactus_emailid',
	array(
		'sanitize_callback' => 'luzuk_them_sanitize_text',
		'default'           => __( 'Email', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_them_contactus_emailid',
	array(
		'settings'      => 'luzuk_them_contactus_emailid',
		'section'       => 'luzuk_them_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email Label', 'Luzuk Premium' )
	)
);
lzAddElement($wp_customize, 'luzuk_them_contactus_email', $section, 'text', $label="Contact Us Email", 'luzuk_them_sanitize_text', 'contact@example.com');
// contact us Phone 
$wp_customize->add_setting(
	'luzuk_them_contactus_phhone',
	array(
		'sanitize_callback' => 'luzuk_them_sanitize_text',
		'default'           => __( 'Phone', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_them_contactus_phhone',
	array(
		'settings'      => 'luzuk_them_contactus_phhone',
		'section'       => 'luzuk_them_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone Label', 'Luzuk Premium' )
	)
);
lzAddElement($wp_customize, 'luzuk_them_contactus_phone1', $section, 'text', $label="Contact Us Phone", 'luzuk_them_sanitize_text', 'Mobile: +1 565 565 656565');
lzAddElement($wp_customize, 'luzuk_them_contactus_phone2', $section, 'text', $label="Contact Us Phone", 'luzuk_them_sanitize_text', 'Hotline: +1 565 565 656565');

//Contact Details icon color
addColorPalatOption($wp_customize, 'luzuk_them_contactus_detailiconColor', 'luzuk_them_premium_contactus_section', 'Contact Details Icon Color', '#fe6b59');

//Contact Details Title color
addColorPalatOption($wp_customize, 'luzuk_them_contactus_detailtitleColor', 'luzuk_them_premium_contactus_section', 'Contact Details Title Color', '#444');
//Contact Details Information color
addColorPalatOption($wp_customize, 'luzuk_them_contactus_detailinfoColor', 'luzuk_them_premium_contactus_section', 'Contact Details Information Color', '#54595F');
//Contact Details Email color
addColorPalatOption($wp_customize, 'luzuk_them_contactus_detailemailColor', 'luzuk_them_premium_contactus_section', 'Contact Details Email Color', '#54595F');

//Contact Details Email hover color
addColorPalatOption($wp_customize, 'luzuk_them_contactus_detailemailhoverColor', 'luzuk_them_premium_contactus_section', 'Contact Details Email Hover Color', '#fe6b59');


// SOCIAL MEDIA URLS / LINKS
$wp_customize->add_setting('luzuk_them_contactus_sm_lbl', array('sanitize_callback' => 'luzuk_them_sanitize_text'));
$wp_customize->add_control(
	new luzuk_them_Customize_Heading($wp_customize, 'luzuk_them_contactus_sm_lbl',
		array(
			'settings'      => 'luzuk_them_contactus_sm_lbl',
			'section'       => 'luzuk_them_premium_contactus_section',
			'label'         => __( 'Social Media Links', 'Luzuk' ),
		)
	)
);
$wp_customize->add_setting(
	'luzuk_them_contactus_socialtitle',
	array(
		'sanitize_callback' => 'luzuk_them_sanitize_text',
		'default'           => __( 'Follow us on', 'Luzuk Premium' ) 
	)
);
$wp_customize->add_control(
	'luzuk_them_contactus_socialtitle',
	array(
		'settings'      => 'luzuk_them_contactus_socialtitle',
		'section'       => 'luzuk_them_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Add Social Title', 'Luzuk Premium' )
	)
);
// FACEBOOK 
$wp_customize->add_setting('luzuk_them_contactus_facebook',	array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('luzuk_them_contactus_facebook',
	array(
		'settings'      => 'luzuk_them_contactus_facebook',
		'section'       => 'luzuk_them_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Facebook Url', 'Luzuk' )
	)
);
// TWITTER
$wp_customize->add_setting('luzuk_them_contactus_twitter', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('luzuk_them_contactus_twitter',
	array(
		'settings'      => 'luzuk_them_contactus_twitter',
		'section'       => 'luzuk_them_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Twitter Url', 'Luzuk' )
	)
);
// Instagram
$wp_customize->add_setting('luzuk_them_contactus_instagram', array('default' => 'https://www.instagram.com/', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('luzuk_them_contactus_instagram',
	array(
		'settings'      => 'luzuk_them_contactus_instagram',
		'section'       => 'luzuk_them_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Instagram', 'Luzuk' )
	)
);
// LINKED IN
$wp_customize->add_setting('luzuk_them_contactus_linkedin',array('default'=> 'https://linkedin.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('luzuk_them_contactus_linkedin',
	array(
		'settings'      => 'luzuk_them_contactus_linkedin',
		'section'       => 'luzuk_them_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Linkedin Url', 'Luzuk' )
	)
);

//Social Title color
addColorPalatOption($wp_customize, 'luzuk_them_contactus_SocialtitleColor', 'luzuk_them_premium_contactus_section', 'Social Title Color', '#444');
//Social Icon color
addColorPalatOption($wp_customize, 'luzuk_them_contactus_SocialTitleiconColor', 'luzuk_them_premium_contactus_section', 'Social Icon Color', '#fe6b59');
//Social Icon hover color
addColorPalatOption($wp_customize, 'luzuk_them_contactus_SocialTitlehoverColor', 'luzuk_them_premium_contactus_section', 'Social Icon Hover Color', '#2e2e2e');


// contact us form shortcode 
$wp_customize->add_setting('luzuk_them_contactus_shortcode_lbl', array('sanitize_callback' => 'luzuk_them_sanitize_text'));
$wp_customize->add_control('luzuk_them_contactus_shortcode_lbl', array('settings'=>'luzuk_them_contactus_shortcode_lbl', 'section'=>'luzuk_them_premium_contactus_section','type'=>'text', 'label'=> __('Form Title', 'Luzuk')));

lzAddElement($wp_customize, 'luzuk_them_contactus_shortcode_lbl', $section, 'text', $label="Form Title", 'luzuk_them_sanitize_text', 'Contact Now');

lzAddElement($wp_customize, 'luzuk_them_contactus_shortcode', $section, 'text', $label="Form Shortcode", 'luzuk_them_sanitize_text', '[your shortcode]');

//Form Title color
addColorPalatOption($wp_customize, 'luzuk_them_contactus_formtitleColor', 'luzuk_them_premium_contactus_section', 'Form Title Color', '#fe6b59');

//Form Background color
addColorPalatOption($wp_customize, 'luzuk_them_contactus_formbgColor', 'luzuk_them_premium_contactus_section', 'Form Box Background Color', '#f8f8f8');

//Form Label color
addColorPalatOption($wp_customize, 'luzuk_them_contactus_formlabelColor', 'luzuk_them_premium_contactus_section', 'Form Label Text, File Text, Select Text, date(format) Color', '#444');

//Form text and placeholder color
addColorPalatOption($wp_customize, 'luzuk_them_contactus_formtextplaceColor', 'luzuk_them_premium_contactus_section', 'Form Text and Placeholder, Select Drop Down Text, Checkbox Text, Radio Button Text Color', '#54595F');

//Form border bottom color
addColorPalatOption($wp_customize, 'luzuk_them_contactus_formborderbottomColor', 'luzuk_them_premium_contactus_section', 'Form Border Bottom Color', '#d7d7d7');

//Button color
addColorPalatOption($wp_customize, 'luzuk_them_contactus_formbtnColor', 'luzuk_them_premium_contactus_section', 'Form Button Text Color', '#000');
addColorPalatOption($wp_customize, 'luzuk_them_contactus_formbtnhoverColor', 'luzuk_them_premium_contactus_section', 'Form Button Text Hover Color', '#fff');

//Button bg color
addColorPalatOption($wp_customize, 'luzuk_them_contactus_formbtnbgColor', 'luzuk_them_premium_contactus_section', 'Form Button Background Color', '#fe6b59');
addColorPalatOption($wp_customize, 'luzuk_them_contactus_formbtnbghoverColor', 'luzuk_them_premium_contactus_section', 'Form Button Background Hover Color', '#121212');
//Button border color
addColorPalatOption($wp_customize, 'luzuk_them_contactus_formbtnborderColor', 'luzuk_them_premium_contactus_section', 'Form Button Border Color', '#fe6b59');
addColorPalatOption($wp_customize, 'luzuk_them_contactus_formbtnborderhoverColor', 'luzuk_them_premium_contactus_section', 'Form Button Border hover Color', '#fe6b59');



//Button border hover color

//Form text color
//addColorPalatOption($wp_customize, 'luzuk_them_contactus_formdtextColor', 'luzuk_them_premium_contactus_section', 'Form Text Color', '#fff');

// ADDRESS GOOGLE/MSN/OTHER MAP IFRAME OR EMBADE CODE
$wp_customize->add_setting('luzuk_them_contactus_iframe_lbl', array('sanitize_callback' => 'luzuk_them_sanitize_text'));
$wp_customize->add_control(
	new luzuk_them_Customize_Heading($wp_customize, 'luzuk_them_contactus_iframe_lbl',
		array(
			'settings'      => 'luzuk_them_contactus_iframe_lbl',
			'section'       => 'luzuk_them_premium_contactus_section',
			'label'         => __( 'Location Map', 'Luzuk' ),
		)
	)
);
// field for addeding the map code
$wp_customize->add_setting('luzuk_them_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add your map embade code'));
$wp_customize->add_control('luzuk_them_contactus_embade', array('settings'=>'luzuk_them_contactus_embade', 'section'=>'luzuk_them_premium_contactus_section','type'=>'textarea', 'label'=> __('Code for map', 'Luzuk')));

//Button color
addColorPalatOption($wp_customize, 'luzuk_them_contactus_mapbgColor', 'luzuk_them_premium_contactus_section', 'Map Background Color', '#444');

